#
# spec file for package cmake-gui (Version 2.8.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cmake-gui
Version:        2.8.2
Release:        1
License:        BSD3c
Group:          Development/Tools/Building
Url:            http://www.cmake.org/
Source0:        cmake-%{version}.tar.bz2
Patch4:         cmake-disable-builtin-chrpath.diff
Patch5:         fortify-buffer-overflows.diff
Summary:        CMake graphical user interface
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  curl-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libexpat-devel
BuildRequires:  libqt4-devel
BuildRequires:  openssl-devel
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
Requires:       cmake

%description
This is a Graphical User Interface for CMake, a cross-platform,
open-source make system.

Authors:
--------
    Kitware, Inc., Insight Consortium


%prep
%setup -q -n cmake-%{version}
%patch4
%patch5

%build
EXTRA_FLAGS="--qt-gui"
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$CXXFLAGS"
./configure \
    --prefix=%{_prefix} \
    --datadir=/share/cmake \
    --docdir=/share/doc/packages/cmake \
    --mandir=/share/man \
    --system-libs \
    --parallel=0%jobs \
    --qt-gui
make VERBOSE=1 %{?jobs:-j %jobs}

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_libdir}/cmake
%suse_update_desktop_file CMake Development IDE Tools Qt
# delete files that belong to the 'cmake' package
rm -rf %{buildroot}/usr/bin/{cpack,cmake,ctest}
rm -rf %{buildroot}/usr/share/cmake
rm -rf %{buildroot}/usr/share/doc/packages/cmake
rm -rf %{buildroot}/usr/share/man/man1/{cmake,cmakecommands,cmakecompat}.1
rm -rf %{buildroot}/usr/share/man/man1/{cmakemodules,cmakepolicies,cmakeprops,cmakevars,cpack,ctest}.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/cmake-gui
%{_datadir}/applications/CMake.desktop
%{_datadir}/mime/packages/cmakecache.xml
%{_datadir}/pixmaps/CMakeSetup32.png
%doc %{_mandir}/man1/cmake-gui.1.*

%changelog
